Update an order
curl --request PATCH \
--url https://prod.truv.com/v1/orders/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"ssn": "<string>",
"refresh_approved": true,
"loan": {
"loan_number": "MUUT220700012",
"originator_name": "John Doe",
"originator_email": "john@example.com",
"loan_processor_name": "John Doe",
"loan_processor_email": "john@doe.com",
"external_id": "c505e0f1b4134fdc853fc87e7d2cc4a5",
"funding_date": "2024-08-24"
},
"notes": "<string>",
"notification_settings": {
"suppress_user_notifications": false,
"first_notification_delay_hours": 0
}
}
'import requests
url = "https://prod.truv.com/v1/orders/{id}/"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"ssn": "<string>",
"refresh_approved": True,
"loan": {
"loan_number": "MUUT220700012",
"originator_name": "John Doe",
"originator_email": "john@example.com",
"loan_processor_name": "John Doe",
"loan_processor_email": "john@doe.com",
"external_id": "c505e0f1b4134fdc853fc87e7d2cc4a5",
"funding_date": "2024-08-24"
},
"notes": "<string>",
"notification_settings": {
"suppress_user_notifications": False,
"first_notification_delay_hours": 0
}
}
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Access-Client-Id': '<api-key>',
'X-Access-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
ssn: '<string>',
refresh_approved: true,
loan: {
loan_number: 'MUUT220700012',
originator_name: 'John Doe',
originator_email: 'john@example.com',
loan_processor_name: 'John Doe',
loan_processor_email: 'john@doe.com',
external_id: 'c505e0f1b4134fdc853fc87e7d2cc4a5',
funding_date: '2024-08-24'
},
notes: '<string>',
notification_settings: {suppress_user_notifications: false, first_notification_delay_hours: 0}
})
};
fetch('https://prod.truv.com/v1/orders/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Orders
Update an order
The endpoint updates the order. Update only available if all employers in one of statuses: pending, sent.
PATCH
/
v1
/
orders
/
{id}
/
Update an order
Authorizations
Client ID
Client Access Key
Path Parameters
Order ID received from the POST request
Body
application/json
Required string length:
1 - 50Required string length:
1 - 50Maximum string length:
128Flag that indicates approval for notification to reconnect the account to be sent.
Loan Information
Show child attributes
Show child attributes
Free text field for notes associated with the order
Required string length:
1 - 2000Configuration for order notifications. Omit fields to keep existing values unchanged.
Show child attributes
Show child attributes
Response
Was this page helpful?
⌘I